Subject: bug#40118: 27.0.90; Signing emails with gpg

From: Lars Ingebrigtsen <[email-masked]>
Date: Thu, 30 Apr 2020 06:33:39 +0200

Robert Pluim <[email-masked]> writes:

> I donʼt know. Lars? (and why only for signing and not encrypting?)
>
>     commit 9c81149ae9165b0f017d60d141221b340879baef
>     Author: Lars Ingebrigtsen <[email-masked]>
>     Date:   Wed Oct 9 21:55:41 2019 +0200
>
>         Make mml-secure-epg-sign bug out if we can't find an identity
>
>         * lisp/gnus/mml-sec.el (mml-secure-epg-sign): Bug out if we
>         couldn't find anything to sign with instead of silently pretending
>         to sign.

It's odd that the commit isn't tied to a bug report, because I remember
twiddling with this stuff as a result of a report?

Anyway, I think it's correct to bug out here if we can't find a signer,
but the error message is, as you note, somewhat wrong.

I think.  As you note, it's odd that it's only doing this when signing
and not encrypting.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no